Name:          keurocalc
Version:       0.9.7
Release:       2%{?dist}
Summary:       KEuroCalc is a universal currency converter and calculator

License:       GPL
Group:         Applications/Productivity

URL:           http://opensource.bureau-cornavin.com/%{name}/
Source:        http://opensource.bureau-cornavin.com/%{name}/%{name}-%{version}.tgz
Patch0:        keurocalc-0.9.7-autotools.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdelibs-devel, gettext, automake
# desktop-file-utils


%description
KEuroCalc is a universal currency converter and calculator. It
can convert from and to many currencies, either with a fixed
conversion rate or a variable conversion rate. It directly
downloads the latest variable rates through the Internet


%prep
%setup -q -n %{name}

# fix for autoconf >= 2.6 & automake >= 2.10 on admin/cvs.sh
%if "%{?fedora}" > "6"
%patch -p0 -b .autotools
%endif

# to skip unsermake dependency
%{__make} -f admin/Makefile.common cvs


%build
%configure --disable-rpath

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install


# Prior to desktop-file-install, the small hack below was used:
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=172423
#desktop-file-install --vendor ""             \
#  --dir %{buildroot}%{_datadir}/applications \
#  --add-category "Office"                    \
#  --delete-original                          \
#  %{buildroot}%{_datadir}/applnk/Applications/%{name}.desktop

# to skip the Lost&Found menu
echo "Categories=Office;" >> \
    %{buildroot}%{_datadir}/applnk/Applications/%{name}.desktop

# The "Application" category is non-standard
install -d %{buildroot}%{_datadir}/applications
%{__mv} %{buildroot}%{_datadir}/applnk/Applications/%{name}.desktop \
        %{buildroot}%{_datadir}/applications

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING* TODO
%{_bindir}/%{name}
%{_datadir}/apps/%{name}/
%{_docdir}/HTML/??/%{name}/
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%Changelog
* Sat Dec 23 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.9.7-2
- Added fix for relative symlinks

* Mon Nov 27 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.9.7-1
- patch0 : fix for autoconf >= 2.6  & automake >= 2.10 in order to rpmbuild properly on rawhide

* Wed Nov 22 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.9.7-0.1
- Initial Package.